<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.components="http://www.eclipse.org/papyrus/robotics/components/1" xmlns:robotics.parameters="http://www.eclipse.org/papyrus/robotics/parameters/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/components/1 http://www.eclipse.org/papyrus/robotics/1#//components http://www.eclipse.org/papyrus/robotics/parameters/1 http://www.eclipse.org/papyrus/robotics/1#//parameters">
  <uml:Model xmi:id="ID" name="mavros">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_z5oHsVBAEeyolvKeZlZVSw">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_z5oHslBAEeyolvKeZlZVSw">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_T7frkG-0EeiX6ta975XXMg"/>
    </packageImport>
    <packagedElement xmi:type="uml:Class" xmi:id="ID_actuator_control" name="actuator_control">
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_actuator_control_mavros/actuator_control" name="mavros/actuator_control" type="_0AT-gFBAEeyolvKeZlZVSw" aggregation="composite"/>
      <ownedAttribute xmi:type="uml:Port" xmi:id="ID_actuator_control_mavros/target_actuator_control" name="mavros/target_actuator_control" type="_0AY3AVBAEeyolvKeZlZVSw" aggregation="composite"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_z5oHtFBAEeyolvKeZlZVSw"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_0AT-gFBAEeyolvKeZlZVSw"/>
      <nestedClassifier xmi:type="uml:Class" xmi:id="_0AY3AVBAEeyolvKeZlZVSw">
        <interfaceRealization xmi:type="uml:InterfaceRealization" xmi:id="_0AbTQFBAEeyolvKeZlZVSw" client="_0AY3AVBAEeyolvKeZlZVSw">
          <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/P_ActuatorControl"/>
          <contract xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/P_ActuatorControl"/>
        </interfaceRealization>
      </nestedClassifier>
    </packagedElement>
    <packagedElement xmi:type="uml:Usage" xmi:id="_0AWawVBAEeyolvKeZlZVSw" client="_0AT-gFBAEeyolvKeZlZVSw">
      <supplier xmi:type="uml:Interface" href="pathmap://ROS2_LIB_EXTRA/services/mavros_msgs.servicedef.uml#svcdefs/P_ActuatorControl"/>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_z5oHtVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_z5oHtlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_z5oHt1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_z5oHuFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_z5oHuVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_z5oHulBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_z5oHu1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_z5oHvFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_z5oHvVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_z5oHvlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_z5oHv1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_z5oHwFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_z5oHwVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_z5oHwlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_z5oHw1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_z5oHxFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_z5oHxVBAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_z5oHxlBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_z5oHx1BAEeyolvKeZlZVSw">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_z5oHyFBAEeyolvKeZlZVSw" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
  </uml:Model>
  <robotics.components:ComponentDefinitionModel xmi:id="_z5oHyVBAEeyolvKeZlZVSw" base_Package="ID" external="true"/>
  <robotics.components:ComponentDefinition xmi:id="_z5oHylBAEeyolvKeZlZVSw" base_Class="ID_actuator_control" isLifecycle="false"/>
  <robotics.parameters:Parameter xmi:id="_z5oHy1BAEeyolvKeZlZVSw" base_Class="_z5oHtFBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_0ATXcFBAEeyolvKeZlZVSw" base_Port="ID_actuator_control_mavros/actuator_control"/>
  <robotics.components:ComponentService xmi:id="_0AWawFBAEeyolvKeZlZVSw" base_Class="_0AT-gFBAEeyolvKeZlZVSw"/>
  <robotics.components:ComponentPort xmi:id="_0AY3AFBAEeyolvKeZlZVSw" base_Port="ID_actuator_control_mavros/target_actuator_control"/>
  <robotics.components:ComponentService xmi:id="_0AasMFBAEeyolvKeZlZVSw" base_Class="_0AY3AVBAEeyolvKeZlZVSw"/>
</xmi:XMI>
